> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Edge Version

Fetch one immutable workflow edge version.

<RequestExample>
  ```python Python theme={null}
  from retab import Retab

  client = Retab()

  edge_version = client.workflows.edges.get_version("egv_abc123")
  print(edge_version)
  ```

  ```typescript TypeScript theme={null}
  import { Retab } from "@retab/node";

  const client = new Retab({ apiKey: process.env.RETAB_API_KEY });

  const edgeVersion = await client.workflows.edges.get_version("egv_abc123");
  console.log(edgeVersion);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	retab "github.com/retab-dev/retab/clients/go"
  )

  func main() {
  	ctx := context.Background()

  	client, err := retab.NewClient("")
  	if err != nil {
  		log.Fatal(err)
  	}

  	edgeVersion, err := client.Workflows.Edges.GetVersion(ctx, "egv_abc123")
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(*edgeVersion)
  }
  ```

  ```ruby Ruby theme={null}
  require 'retab'

  client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])

  edge_version = client.workflows.edges.get_version(edge_version_id: 'egv_abc123')
  puts edge_version
  ```

  ```rust Rust theme={null}
  use retab::Retab;

  #[tokio::main]
  async fn main() -> Result<(), Box<dyn std::error::Error>> {
      let client = Retab::new(std::env::var("RETAB_API_KEY")?);

      let edge_version = client.workflows().edges().get_version("egv_abc123").await?;
      println!("{:?}", edge_version);
      Ok(())
  }
  ```

  ```php PHP theme={null}
  <?php
  require 'vendor/autoload.php';

  use Retab\Client;

  $client = new Client(apiKey: getenv('RETAB_API_KEY'));

  $edgeVersion = $client->workflows()->edges()->getVersion(
      edgeVersionId: 'egv_abc123',
  );
  print_r($edgeVersion);
  ```

  ```csharp C# theme={null}
  using Retab;
  using RetabClient = Retab.Retab;

  var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
  var client = new RetabClient(apiKey);

  var edgeVersion = await client.Workflows.Edges.GetVersionAsync("egv_abc123");
  Console.WriteLine(edgeVersion);
  ```

  ```java Java theme={null}
  import com.retab.RetabClient;

  public final class Example {
    public static void main(String[] args) throws Exception {
      RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));

      var edgeVersion = client.workflows().edges().getVersion("egv_abc123");
      System.out.println(edgeVersion);
    }
  }
  ```

  ```bash cURL theme={null}
  curl "https://api.retab.com/v1/workflows/edges/versions/egv_abc123?workflow_id=wf_abc123" \
    -H "Authorization: Bearer $RETAB_API_KEY"
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/workflows/edges/versions/{edge_version_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/workflows/edges/versions/{edge_version_id}:
    get:
      tags:
        - Workflows
        - Workflow Edges
      summary: Get Edge Version
      operationId: get_edge_version
      parameters:
        - in: path
          name: edge_version_id
          required: true
          schema:
            type: string
            title: Edge Version Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowEdgeVersion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowEdgeVersion:
      properties:
        id:
          type: string
          title: Id
          description: Public content-addressed edge version ID
        edge_id:
          type: string
          title: Edge Id
          description: Stable logical edge ID
        workflow_id:
          type: string
          title: Workflow Id
          description: Source workflow ID
        workflow_version_id:
          type: string
          title: Workflow Version Id
          description: Workflow version this edge version belongs to
        source:
          type: string
          title: Source
          description: ID of the source block
        source_handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Handle
        target:
          type: string
          title: Target
          description: ID of the target block
        target_handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Handle
        animated:
          type: boolean
          title: Animated
          default: true
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - created_at
        - edge_id
        - id
        - source
        - target
        - workflow_id
        - workflow_version_id
      title: WorkflowEdgeVersion
      description: Public edge version resource without tenant fields.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````